<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>SEINFRA - Sistema de Gerenciamento da Capacidade Instalada &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SEMEWEB/SEGE - Sistema de Gestão Escolar" href="semeweb.html" />
    <link rel="prev" title="SEGP - Sistema de Gestão de Pessoas" href="segp.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="geqt.html">GEQT - Sistema de gestão de equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sdcl.html">SDCL - Sistema de diário de classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais Funcionalidades</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#gestor-escolar">Gestor escolar</a></li>
<li class="toctree-l3"><a class="reference internal" href="#gerencia">Gerência</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#arquitetura-da-informacao">Arquitetura da Informação</a></li>
<li class="toctree-l2"><a class="reference internal" href="#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-de-casos-de-uso">Modelagem de casos de uso</a></li>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-c4">Modelagem C4</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#autenticacao-e-acesso">Autenticação e acesso</a></li>
<li class="toctree-l2"><a class="reference internal" href="#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/pedagogicos/seinfra.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="seinfra-sistema-de-gerenciamento-da-capacidade-instalada">
<h1>SEINFRA - Sistema de Gerenciamento da Capacidade Instalada<a class="headerlink" href="#seinfra-sistema-de-gerenciamento-da-capacidade-instalada" title="Permalink to this headline"></a></h1>
<p>Sistema de Gerenciamento da Capacidade Instalada (SEINFRA) é um sistema desenvolvido para planejamento de matrícula e gestão da capacidade instalada das unidades de ensino da rede. O sistema tem acesso aos dados de progressão e retenção de estudantes e efetua os cálculos de vagas disponíveis para matrícula. Estes calculos precisam estar alinhados com as normativas do MEC de estudantes por metro quadrado e considerar a metragem das salas de aula aptas a receberem turmas. O SEINFRA atualiza os dados de vagas disponíveis e vagas liberadas no SECE.</p>
<p>É importante ressaltar que existe uma política de reserva de vagas que ficam indiponíveis para pré-matrícula. Isso ocorre porque é comum a Secretaria receber solicitações de matrícula pelo Ministério Público ou em algum outro caso de urgência.</p>
<section id="perfis-de-usuario">
<h2>Perfis de usuário<a class="headerlink" href="#perfis-de-usuario" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Gestor Escolar</strong>: o gestor escolar tem acesso aos recuros gerais do sistema. O perfil existe, mas ainda não foi liberado para as unidades devido a questões sensíveis de acesso, dado que um gestor de escola poderia bloquear vagas e favorecer algum estudante por interesse próprio.</p></li>
<li><p><strong>Gerência</strong>: perfil utilizado pela SIORE, com acesso completo ao sistema.</p></li>
</ul>
</section>
<section id="principais-funcionalidades">
<h2>Principais Funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<section id="gestor-escolar">
<h3>Gestor escolar<a class="headerlink" href="#gestor-escolar" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p><strong>Manter capacidade instalada da unidade</strong>: permite cadastrar salas de aula, metragem e turnos disponíveis para indentificação de salas em condições de uso em cada período. O cadastro é feito apenas na unidade em que o gestor atua.</p></li>
<li><p><strong>Planejamento de Vagas da unidade</strong>: permite cadastrar vagas para cada unidade de ensino. O sistema consulta os dados de retenção e progressão dos estudantes de cada sala e, com base na normativa do MEC, calcula o número de vagas disponíveis que poderão ser liberadas para matrícula.</p></li>
</ul>
</section>
<section id="gerencia">
<h3>Gerência<a class="headerlink" href="#gerencia" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p><strong>Manter capacidade instalada</strong>: permite cadastrar salas de aula, metragem e turnos disponíveis para indentificação de salas em condições de uso em cada período. Possui acesso a todas as unidades da rede.</p></li>
<li><p><strong>Planejamento de Vagas</strong>: permite cadastrar vagas para cada unidade de ensino. O sistema consulta os dados de retenção e progressão dos estudantes de cada sala e, com base na normativa do MEC, calcula o número de vagas disponíveis que poderão ser liberadas para matrícula. Possui acesso a todas as unidades da rede.</p></li>
</ul>
</section>
</section>
<section id="arquitetura-da-informacao">
<h2>Arquitetura da Informação<a class="headerlink" href="#arquitetura-da-informacao" title="Permalink to this headline"></a></h2>
<p>A arquitetura da informação do sistema é simples, dado que existem contextos bem definidos para a manutenção de capacidade instalada e para o planejamento de vagas. É importante ressaltar apenas que existe uma seleção de qual unidade está sendo operada. Essa seleção permite que diferentes perfis possam acessar apenas as unidades sob sua competência. Entretanto, os relatórios podem combinar dados de mais de uma unidade, ferindo a arquitetura do sistema, apesar de não ser um problema crítico.</p>
<img alt="../../_images/32.png" src="../../_images/32.png" />
</section>
<section id="requisitos-e-arquitetura-de-software">
<h2>Requisitos e Arquitetura de Software<a class="headerlink" href="#requisitos-e-arquitetura-de-software" title="Permalink to this headline"></a></h2>
<p>Utilizaremos duas técnicas para avaliarmos o SEINFRA. A primeira é a modelagem de casos de uso, que permite
visualizar como atores interagem com as funcionalidades do sistema. O segundo é a modelagem
C4, que permite visualizar as fronteiras do sistema e com quais sistemas externos ele se comunica
para realizar suas operações.</p>
<section id="modelagem-de-casos-de-uso">
<h3>Modelagem de casos de uso<a class="headerlink" href="#modelagem-de-casos-de-uso" title="Permalink to this headline"></a></h3>
<p>O diagrama de casos de uso é uma forma visual de identificar perfis de usuário, funcionalidades do
sistema e a relação entre ambos. Iremos utilizar essa técnica de modelagem para termos uma visão
alto nível de como o SEINFRA funciona.</p>
<img alt="../../_images/17.png" src="../../_images/17.png" />
</section>
<section id="modelagem-c4">
<h3>Modelagem C4<a class="headerlink" href="#modelagem-c4" title="Permalink to this headline"></a></h3>
<p>Para entendermos as interações do SEINFRA com outros sistemas e bases de dados da
Secretaria, utilizaremos o modelo C4 para visualização de Arquitetura de Software. Para autenticar
no SEINFRA o usuário precisa ter suas credenciais criadas na base ConectaRecife. Caso este usuário já tenha
credenciais na base EMAC, automaticamente ele também terá no ConectaRecife.
Uma vez verificada as credenciais, o usuário loga no sistema através de
sua <em>interface web</em>. Depois de logado, o usuário seleciona uma de suas matrículas ativas (se houver
mais de uma) e acessa as funcionalidades apresentadas na modelagem de casos de uso.</p>
<img alt="../../_images/26.png" src="../../_images/26.png" />
</section>
</section>
<section id="autenticacao-e-acesso">
<h2>Autenticação e acesso<a class="headerlink" href="#autenticacao-e-acesso" title="Permalink to this headline"></a></h2>
<p>Todas as credenciais de acesso vem do sistema Emac.</p>
</section>
<section id="referencias">
<h2>Referências<a class="headerlink" href="#referencias" title="Permalink to this headline"></a></h2>
<ol class="arabic simple">
<li><p><a class="reference external" href="https://www.visual-paradigm.com/guide/uml-unified-modeling-language/what-is-use-case-diagram/">What is Use Case Diagram</a>;</p></li>
<li><p><a class="reference external" href="https://c4model.com/">C4 Modeling framework</a></p></li>
</ol>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="segp.html" class="btn btn-neutral float-left" title="SEGP - Sistema de Gestão de Pessoas" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="semeweb.html" class="btn btn-neutral float-right" title="SEMEWEB/SEGE - Sistema de Gestão Escolar" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>